<?php

@include_once dirname(__FILE__) . '/controls.php';

$plugin = $file_commerce;

if (isset($_GET['id'])) {
    $controls->options = $wpdb->get_row($wpdb->prepare("select * from " . $wpdb->prefix . FILECOMMERCE_TABLE_CONTRACTS . " where id=%d", $_GET['id']), ARRAY_A);
}

if ($controls->is_action('save')) {
        // Check fields validity
        $controls->options = stripslashes_deep($_POST['options']);
        $id = $controls->options['id'];
        unset($controls->options['id']);
        $wpdb->update($wpdb->prefix . FILECOMMERCE_TABLE_CONTRACTS, $controls->options, array('id'=>$id));
        $controls->options = $wpdb->get_row($wpdb->prepare("select * from " . $wpdb->prefix . FILECOMMERCE_TABLE_CONTRACTS . " where id=%d", $id), ARRAY_A);
        $controls->messages = 'Contract updated';
    }
?>

<div class="wrap">

    <h2><?php echo $plugin->title; ?>: Contract Edit</h2>

    <?php $controls->show_errors(); ?>
    <?php $controls->show_messages(); ?>
    
    <form method="post" action="">
        <?php $controls->init(); ?>
        <?php $controls->hidden('id'); ?>

        <table class="form-table">
            <tr valign="top">
                <th>User</th>
                <td>
                    <?php $u = get_user_by('id', $controls->options['userid']);?>
                    <?php echo $u->user_login; ?> - <?php echo $u->user_email; ?>
                </td>
            </tr>
            <tr valign="top">
                <th>Status</th>
                <td>
                    <?php $controls->select('status', array(FileCommerce::CONTRACT_VALID=>'Valid', FileCommerce::CONTRACT_INVALID=>'nvalid')); ?>
                </td>
            </tr>
            <tr valign="top">
                <th>Expire on</th>
                <td>
                    <?php $controls->date('expire'); ?>
                </td>
            </tr>
        </table>
        <p class="submit">
            <?php $controls->button('save', 'Save'); ?>
        </p>
    </form>
</div>

