<?php
//manage file download

require_once( dirname(__FILE__) . '/commons.php' );

//is user logged?
global $current_user;
get_currentuserinfo();

$uploads = wp_upload_dir();

if (is_user_logged_in()) 
{
	$candownload = false;
	
	//is file download free?
	$isdownloadfree = file_commerce_is_file_download_free();
	if (!$isdownloadfree)
	{
		//can user download the file?
    	$candownload = file_commerce_can_user_download_file($current_user->ID);
	}
    
    if ($isdownloadfree || $candownload)
    {    	
        $options = get_option(FILECOMMERCE_FILE_OPTION);
        $file_name = $options['filename'];
        
    	$filepath = $uploads['basedir'] . DIRECTORY_SEPARATOR . FILECOMMERCE_FILE_UPLOAD_DIR . $file_name;
    	if ( !file_exists($filepath) )
    	{
    		die('There is no file at the requested path.');
    	}    		
		// 	Imposto gli header della pagina per forzare il download del file
	   	header("Cache-Control: public");
	   	//header("Content-type: " . $file->mime);
		header("Content-Description: File Transfer");
		header("Content-Disposition: attachment; filename= " . $file_name);
		header("Content-Transfer-Encoding: binary");
		readfile($filepath);
		exit(0);	  	
    }
    else 
    {
    	die('You cannot download this file.');
    }
}

die('Access denied.');